aboutsummaryrefslogtreecommitdiff
path: root/devel/subversion16/files/pkg-install.in
diff options
context:
space:
mode:
authorLev A. Serebryakov <lev@FreeBSD.org>2010-04-19 10:39:12 +0000
committerLev A. Serebryakov <lev@FreeBSD.org>2010-04-19 10:39:12 +0000
commit7db76e2b98b1517c19aa3a79957ac3b37bf853ae (patch)
tree05597d870a8dc471759456318c266c83499a9c2e /devel/subversion16/files/pkg-install.in
parente0c2c65795213ef9b553271d964a1900cf7d0579 (diff)
downloadports-7db76e2b98b1517c19aa3a79957ac3b37bf853ae.tar.gz
ports-7db76e2b98b1517c19aa3a79957ac3b37bf853ae.zip
Notes
Diffstat (limited to 'devel/subversion16/files/pkg-install.in')
-rw-r--r--devel/subversion16/files/pkg-install.in57
1 files changed, 57 insertions, 0 deletions
diff --git a/devel/subversion16/files/pkg-install.in b/devel/subversion16/files/pkg-install.in
new file mode 100644
index 000000000000..bfca60ceb265
--- /dev/null
+++ b/devel/subversion16/files/pkg-install.in
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Date created: 18 Apr 2010
+# Whom: ohauer@gmx.de
+#
+# Try to activate mod_dav.so in httpd.conf only if the module is not already active.
+# This script is a workaround for apxs bug:
+# https://issues.apache.org/bugzilla/show_bug.cgi?id=47397
+#
+# $FreeBSD$
+#
+
+if [ "%%MOD_DAV_SVN_INSTALL%%" != "YES" ] ; then
+ exit 0
+fi
+
+if [ "$2" != "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+APXSCMD=${PKG_PREFIX}/sbin/apxs
+
+if [ ! -x ${APXSCMD} ]; then
+ echo Can\'t find the apxs program: ${APXSCMD}.
+ exit 1
+fi
+
+SYSCONFDIR=`${APXSCMD} -q SYSCONFDIR`
+LIBEXECDIR=`${APXSCMD} -q LIBEXECDIR`
+
+if [ ! -d "${SYSCONFDIR}" ]; then
+ echo Can\'t find Apache conf dir: ${SYSCONFDIR}
+ exit 1
+fi
+
+if [ -f "${SYSCONFDIR}/httpd.conf" ]; then
+ CONFFILE=httpd.conf
+fi
+
+if [ -z "${CONFFILE}" ]; then
+ echo "Can\'t find ${SYSCONFDIR}/${CONFFILE}"
+ exit 1
+fi
+
+# use only 'egrep -e' else the check works not correct
+if [ ! -n "`egrep -e '^(Load|Add)Module.*dav_module' ${SYSCONFDIR}/${CONFFILE}`" ]; then
+ if [ -f ${LIBEXECDIR}/mod_dav.so ]; then
+ ${APXSCMD} -e -S LIBEXECDIR=${LIBEXECDIR} -a -n dav ${LIBEXECDIR}/mod_dav.so
+ else
+ echo "cannot find ${LIBEXECDIR}/mod_dav.so"
+ exit 1
+ fi
+else
+ echo "dav_module already active in ${SYSCONFDIR}/${CONFFILE}"
+fi
+
+exit 0